#ifndef MAX_DISTANCE_FILTER_H
#define MAX_DISTANCE_FILTER_H

#include <vtkPolyDataAlgorithm.h>


class MaxDistanceFilter : public vtkPolyDataAlgorithm {
public:
	static MaxDistanceFilter *New();
	vtkTypeMacro(MaxDistanceFilter, vtkPolyDataAlgorithm);
	MaxDistanceFilter();
	int FillInputPortInformation(int, vtkInformation *info) override;
	vtkTypeBool RequestData(vtkInformation *request,
							vtkInformationVector **inputVector,
							vtkInformationVector *outputVector) override;
	vtkGetMacro(MaxDist, double);
	vtkGetMacro(MaxId, vtkIdType);
	vtkGetMacro(MaxInput, vtkIdType);

protected:
	double MaxDist;
	vtkIdType MaxId;
	vtkIdType MaxInput;
};


#endif